package model

import (
	"drive-linked/pkg/dao"
)

type User struct {
	Id       int64  `json:"id,string"`
	Name     string `json:"name"`
	Nickname string `json:"nickname"`
	Email    string `json:"email"`
	Password string `json:"-"`
	Status   int32  `json:"status"`
	Avatar   string `json:"avatar"`
	Roles    string `json:"roles"`
}

func (user *User) GetByName(name string) (err error) {
	err = dao.DB.Get(user, "SELECT * FROM users WHERE name=?", name)
	if err != nil {
		return err
	}
	return nil
}

func (user *User) GetByEmail(email string) (err error) {
	err = dao.DB.Get(user, "SELECT * FROM users WHERE email=?", email)
	if err != nil {
		return err
	}
	return nil
}
