package dto

import (
	"drive-linked/model"
	"github.com/jinzhu/copier"
)

type UserProfile struct {
	Id       int64  `json:"id,string"`
	Name     string `json:"name"`
	Nickname string `json:"nickname"`
	Email    string `json:"email"`
	Status   int32  `json:"status"`
	Avatar   string `json:"avatar"`
	Roles    string `json:"roles"`
}

type QueryUserParams struct {
	Method string `json:"method"`
	Value  string `json:"value"`
}

func (u *UserProfile) CopyOf(user *model.User) error {
	err := copier.Copy(u, user)
	if err != nil {
		return err
	}
	return nil
}
