package utils

import (
	"github.com/alexedwards/argon2id"
)

func GenPasswd(originPasswd string) (passwd string, err error) {
	passwd, err = argon2id.CreateHash(originPasswd, argon2id.DefaultParams)
	if err != nil {
		return "", err
	}
	return passwd, nil
}

func CheckPasswd(originPasswd string, passwd string) (match bool, err error) {
	match, err = argon2id.ComparePasswordAndHash(originPasswd, passwd)
	if err != nil {
		return false, err
	}
	return match, nil
}
